# Uses of Class
javax.sound.midi.Patch

Packages that use Patch
Package
Description
javax.sound.midi
Provides interfaces and classes for I/O, sequencing, and synthesis of MIDI (Musical Instrument Digital Interface) data.

## Uses of Patch in javax.sound.midi

Methods in javax.sound.midi that return Patch
Modifier and Type
Method
Description
`Patch`
Instrument.`getPatch()`
Obtains the `Patch` object that indicates the bank and program numbers where this instrument is to be stored in the synthesizer.
`Patch[]`
Sequence.`getPatchList()`
Obtains a list of patches referenced in this sequence.
Methods in javax.sound.midi with parameters of type Patch
Modifier and Type
Method
Description
`Instrument`
Soundbank.`getInstrument(Patch patch)`
Obtains an `Instrument` from the given `Patch`.
`boolean`
Synthesizer.`loadInstruments(Soundbank soundbank, Patch[] patchList)`
Loads the instruments referenced by the specified patches, from the specified `Soundbank`.
`void`
Synthesizer.`unloadInstruments(Soundbank soundbank, Patch[] patchList)`
Unloads the instruments referenced by the specified patches, from the MIDI sound bank specified.
Constructors in javax.sound.midi with parameters of type Patch
Modifier
Constructor
Description
`protected`
`Instrument(Soundbank soundbank, Patch patch, String name, Class<?> dataClass)`
Constructs a new MIDI instrument from the specified `Patch`.